Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class Frame

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Frame

All Implemented Interfaces:
  EventListener

Direct Known Subclasses:
  NamedFrame

    public class Frame

extends Widget

A widget that wraps an IFRAME element, which can contain an arbitrary web site.

Note that if you are using `History`, any browser history items generated by the Frame will interleave with your application's history.

### Example

>     public class FrameExample implements EntryPoint {

>       public void onModuleLoad() {
>         // Make a new frame, and point it at Google.
>         Frame frame = new Frame("http://www.google.com/");

>         // Add it to the root panel.
>         RootPanel.get().add(frame);
>       }
>     }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`Frame()` Creates an empty frame.
`Frame(java.lang.String url)` Creates a frame that displays the resource at the specified URL.

Method Summary
`java.lang.String` | `getUrl()` Gets the URL of the frame's resource.
`void` | `setUrl(java.lang.String url)` Sets the URL of the resource to be displayed within the frame.

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Frame

    public Frame()

  Creates an empty frame.

### Frame

    public Frame(java.lang.String url)

  Creates a frame that displays the resource at the specified URL.

  Parameters:
    `url` - the URL of the resource to be displayed

Method Detail

### getUrl

    public java.lang.String getUrl()

  Gets the URL of the frame's resource.

  Returns:
    the frame's URL

### setUrl

    public void setUrl(java.lang.String url)

  Sets the URL of the resource to be displayed within the frame.

  Parameters:
    `url` - the frame's new URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD